import request from '@/utils/request'

export function fetchList(query) {
  return request({
    url: '/roles',
    method: 'get',
    params: query
  })
}

export function fetchMenuList() {
  return request({
    url: '/menus',
    method: 'get'
  })
}

export function addMenuInfo(data) {
  return request({
    url: '/role/add',
    method: 'post',
    data: {
      roleName: data.roleName,
      description: data.description,
      menuArray: data.menuArray
    }
  })
}

